Bug 1105695 - [GSS] (6.3.1) Upgrade RESTEasy 2.3.8 to 2.3.8.SP2-redhat-3
Summary: [GSS] (6.3.1) Upgrade RESTEasy 2.3.8 to 2.3.8.SP2-redhat-3
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: RESTEasy
Version: 6.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.3.1
Assignee: Weinan Li
QA Contact: Katerina Odabasi
URL:
Whiteboard:
Depends On: 1118891 1080420 1121661 1121913 1122779 1123873
Blocks: eap631-blockers, eap631-payload, eap63-cp01-blockers 1105696
TreeView+ depends on / blocked
 
Reported: 2014-06-06 18:43 UTC by Kyle Lape
Modified: 2018-12-05 18:48 UTC (History)
11 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of: 1039135
: 1118891 (view as bug list)
Environment:
Last Closed: 2014-10-13 18:39:49 UTC
Type: Component Upgrade


Attachments (Terms of Use)

Comment 5 Weinan Li 2014-07-14 14:51:55 UTC
As Fernando told me this issue has a 6.4.0?  flag, NOT a 6.3.1? which means it did not pass triage.

So let's include this in RESTEasy 2.3.9 for EAP 6.4.0.

Comment 7 Weinan Li 2014-07-14 16:41:53 UTC
Branch created:

master:resteasy-prod weinanli$ git branch
  2.3.7.1.Final-redhat
  2.3.7.2.Final-redhat
  2.3.7.Final-redhat
  2.3.7.Final-redhat-2
  2.3.7.Final-redhat-2-BZ1091552
* 2.3.8.Final-redhat
  master
master:resteasy-prod weinanli$ git checkout -b 2.3.8.SP1-redhat-1
Switched to a new branch '2.3.8.SP1-redhat-1'
master:resteasy-prod weinanli$ git push origin 2.3.8.SP1-redhat-1
weli@git.app.eng.bos.redhat.com's password:
Total 0 (delta 0), reused 0 (delta 0)
To git+ssh://weli@git.app.eng.bos.redhat.com/srv/git/resteasy.git
 * [new branch]      2.3.8.SP1-redhat-1 -> 2.3.8.SP1-redhat-1

Comment 8 Weinan Li 2014-07-29 07:02:28 UTC
SP1 for 6.3.0 CVE fix, increase version to SP2 for 6.3.1:

master:resteasy-prod weinanli$ git branch
  2.3.7.1.Final-redhat
  2.3.7.2.Final-redhat
  2.3.7.Final-redhat
  2.3.7.Final-redhat-2
  2.3.7.Final-redhat-2-BZ1091552
  2.3.8.Final-redhat
  2.3.8.SP1-redhat
* 2.3.8.SP2-redhat

Comment 9 baranowb 2014-08-06 09:22:56 UTC
Weinan: so the upgrade is 2.3.8.Final-redhat-3 -> 2.3.8.SP2-redhat ?

Comment 10 Weinan Li 2014-08-07 06:17:26 UTC
(In reply to baranowb from comment #9)
> Weinan: so the upgrade is 2.3.8.Final-redhat-3 -> 2.3.8.SP2-redhat ?

Yes, we will use branch '2.3.8.SP2-redhat' for EAP 6.3.1

Comment 13 baranowb 2014-08-14 08:03:39 UTC
Needs rebuild.

Comment 21 Katerina Odabasi 2014-09-02 07:21:52 UTC
Verified in EAP 6.3.1.CP.CR1.


Note You need to log in before you can comment on or make changes to this bug.